version: "3"

services:
  wrenchboard-backend-php74:
    image: registry.chiefsoft.net/wrenchboard-backend-php74:latest
    build:
      context: ./
      dockerfile: Dockerfile74
    hostname: wrenchboard-backend-php74
    container_name: wrenchboard-backend-php74
    ports:
      - 9999:9000
    privileged: true
    environment:
      - DOCKER_BUILDKIT=1
    volumes:
      - ./configs:/cfgs
      - ../www:/app
      - ../www:/opt/mainsite/wrenchboard/www
      - ../www-api:/opt/mainsite/wrenchboard/www-api
      - /etc/wrenchboard:/opt/mainsite/wrenchboard/etc
      - ./email:/opt/mainsite/wrenchboard/email
      #- ./src:/opt/mainsite/wrenchboard/src
    env_file: .env
